io.agora.rtc

## Class AgoraServiceConfigEx

- java.lang.Object
- - io.agora.rtc.AgoraServiceConfigEx

-     class AgoraServiceConfigEx
      extends java.lang.Object

  Extended configuration class for Agora service initialization.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `apmConfigJson` APM configuration
    `private boolean` | `enableApm` Whether to enable APM module Default: false
    `private boolean` | `enableApmDump` Whether to enable APM dump Default: false

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraServiceConfigEx()` Default constructor for AgoraServiceConfigEx.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApmConfigJson()` Gets the APM configuration JSON string.
    `boolean` | `isEnableApm()` Checks if APM is enabled.
    `boolean` | `isEnableApmDump()` Checks if APM dump is enabled.
    `void` | `setApmConfigJson(java.lang.String apmConfigJson)` Sets the APM configuration JSON string.
    `void` | `setEnableApm(boolean enableApm)` Sets whether APM is enabled.
    `void` | `setEnableApmDump(boolean enableApmDump)` Sets whether APM dump is enabled.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### enableApm

          private boolean enableApm

      Whether to enable APM module Default: false

    - #### apmConfigJson

          private java.lang.String apmConfigJson

      APM configuration

    - #### enableApmDump

          private boolean enableApmDump

      Whether to enable APM dump Default: false

  - ### Constructor Detail

    - #### AgoraServiceConfigEx

          public AgoraServiceConfigEx()

      Default constructor for AgoraServiceConfigEx.

  - ### Method Detail

    - #### setEnableApm

          public void setEnableApm(boolean enableApm)

      Sets whether APM is enabled.
      Parameters:
        `enableApm` - true to enable, false to disable

    - #### isEnableApm

          public boolean isEnableApm()

      Checks if APM is enabled.
      Returns:
        true if enabled, false otherwise

    - #### setApmConfigJson

          public void setApmConfigJson(java.lang.String apmConfigJson)

      Sets the APM configuration JSON string.
      Parameters:
        `apmConfigJson` - APM configuration JSON string

    - #### getApmConfigJson

          public java.lang.String getApmConfigJson()

      Gets the APM configuration JSON string.
      Returns:
        APM configuration JSON string

    - #### setEnableApmDump

          public void setEnableApmDump(boolean enableApmDump)

      Sets whether APM dump is enabled.
      Parameters:
        `enableApmDump` - true to enable, false to disable

    - #### isEnableApmDump

          public boolean isEnableApmDump()

      Checks if APM dump is enabled.
      Returns:
        true if enabled, false otherwise

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`